// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "prefabs/characters/CharacterPrefab.hpp"

namespace Dawn {
  class DeathPrefab : public CharacterPrefab<DeathPrefab> {
    protected:

      struct VisualNovelCharacterEmotion defineAndGetInitialEmotion(
        AssetManager *man
      ) override;

    public:
      static std::string getCharacterTexture();
      static std::string getCharacterTileset();
      static std::string getLanguagePrefix();
      
      struct VisualNovelCharacterEmotion emotionHappy;
      struct VisualNovelCharacterEmotion emotionConcerned;
      struct VisualNovelCharacterEmotion emotionSurprised;
      struct VisualNovelCharacterEmotion emotionUnset;

      DeathPrefab(Scene *s, sceneitemid_t i) : CharacterPrefab(s,i) {}
  };
}