// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "util/DawnTool.hpp"
#include "util/File.hpp"
#include "util/CodeGen.hpp"

namespace Dawn {
  struct SceneItemComponent {
    std::string clazz;
    std::string header;
  };

  class SceneItemComponentRootGen : public CodeGen {
    public:
      static void generate(
        std::vector<std::string> *out,
        std::vector<struct SceneItemComponent> *info,
        std::string tabs
      );
  };

  class SceneItemComponentRegister : public DawnTool {
    protected:
      std::vector<std::string> getRequiredFlags() override;
      
    public:
      int32_t start() override;
  };
}